
Ruby - Bug #1177

eof for socket block script

02/19/2009 11:23 PM - OlegPuchinin (Oleg Puchinin)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version: 1.9.1   

ruby -v: ruby 1.9.1p0 (2009-01-30 revision

21907) [i686-linux]

Backport:  

Description

=begin

eof and eof? run awhile

Is it OK ?

How to check socket EOF without blocking ?

=end

History

#1 - 02/20/2009 02:59 PM - nobu (Nobuyoshi Nakada)

=begin

Hi,

At Thu, 19 Feb 2009 23:23:23 +0900,

Oleg Puchinin wrote in [ruby-core:22258]:

eof and eof? run awhile

Is it OK ?

How to check socket EOF without blocking ?

 Could you show the reproduceable code?

--

Nobu Nakada

=end

#2 - 02/22/2009 08:36 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Feedback

=begin

=end

#3 - 03/14/2009 07:11 PM - akr (Akira Tanaka)

- Status changed from Feedback to Rejected

=begin

I found server and client code in redmine.

You cannot check EOF until server close the socket or send some data.

Your server, test_tcp_server.rb, doesn't close the socket until the client closes the socket.

The server never send data.

So eof? need to block because the server may close the socket in future.

It is not a bug.

=end

Files

test_tcp_client.rb 138 Bytes 02/19/2009 OlegPuchinin (Oleg Puchinin)
test_tcp_server.rb 212 Bytes 02/19/2009 OlegPuchinin (Oleg Puchinin)
